Create a new API token
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · max: 255Required
expires_atstring · date-timeOptional
Responses
201Success
application/json
messageconst: API token created successfully. Store the plain_text_token securely — it will not be shown again.Required
dataarray · min: 1 · max: 1Required
metaany ofRequired
or
stringOptional
linksstringRequired
401
Unauthenticated
application/json
403Error
application/problem+json
422
Validation error
application/json
500Error
application/problem+json
post/tokens
POST /your-tenant/api/v1/tokens HTTP/1.1
Host: plan.claret.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 70
{
"name": "text",
"expires_at": "2026-01-01T00:00:00.000Z",
"scopes": [
"*"
]
}{
"message": "text",
"data": [],
"meta": [],
"links": "text"
}Last updated
Was this helpful?